Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.tools.discovery
Class ReggieStat

    java.lang.Object
      org.jini.rio.tools.discovery.ReggieStat

    public class ReggieStat

extends Object

Class to hold basic information for a discovered/discarded reggie

Field Summary
`static int` | `DISCARDED`
`static int` | `DISCOVERED`

Method Summary
`long` | `getBaseTime()` Convenience method to obtain the time that the ServiceRegistar was discarded, provided a new "base time" to establish (re-)discovery time
`long` | `getEventTime()`
`String[]` | `getGroups()` Convenience method to obtain pre-fetced group names
`String` | `getMachine()` Convenience method to obtain the host the ServiceRegistrar is on
`int` | `getPort()` Convenience method to obtain the port the ServiceRegistrar is listening on

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISCOVERED

    public static final int DISCOVERED

See Also:
  Constant Field Values

### DISCARDED

    public static final int DISCARDED

See Also:
  Constant Field Values

Method Detail

### getBaseTime

    public long getBaseTime()

  Convenience method to obtain the time that the ServiceRegistar was discarded, provided a new "base time" to establish (re-)discovery time

  Returns:
    the base time

### getMachine

    public String getMachine()

  Convenience method to obtain the host the ServiceRegistrar is on

  Returns:
    the host the ServiceRegistrar is on

### getPort

    public int getPort()

  Convenience method to obtain the port the ServiceRegistrar is listening on

  Returns:
    The port the ServiceRegistrar is listening on

### getGroups

    public String[] getGroups()

  Convenience method to obtain pre-fetced group names

  Returns:
    group names

### getEventTime

    public long getEventTime()

  Returns:
    Get the time the event occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.